package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 班级关系表(定义合奏课的班级信息)
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("class_group_relation")
public class ClassGroupRelation extends Model<ClassGroupRelation> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id_", type = IdType.AUTO)
    private Integer id;
    /**
     * 班级id
     */
    @TableField("class_group_id_")
    private Integer classGroupId;
    /**
     * 子班id
     */
    @TableField("sub_class_group_id_")
    private Integer subClassGroupId;
    @TableField("create_time_")
    private Date createTime;


    public Integer getId() {
        return id;
    }

    public ClassGroupRelation setId(Integer id) {
        this.id = id;
        return this;
    }

    public Integer getClassGroupId() {
        return classGroupId;
    }

    public ClassGroupRelation setClassGroupId(Integer classGroupId) {
        this.classGroupId = classGroupId;
        return this;
    }

    public Integer getSubClassGroupId() {
        return subClassGroupId;
    }

    public ClassGroupRelation setSubClassGroupId(Integer subClassGroupId) {
        this.subClassGroupId = subClassGroupId;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public ClassGroupRelation setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "ClassGroupRelation{" +
                ", id=" + id +
                ", classGroupId=" + classGroupId +
                ", subClassGroupId=" + subClassGroupId +
                ", createTime=" + createTime +
                "}";
    }
}
